=== debian/changelog ===
ros-lunar-canopen-402 (0.7.9-0xenial) xenial; urgency=high

  * fix initialization bug in ProfiledPositionMode
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-lunar-canopen-402 (0.7.8-0xenial) xenial; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-lunar-canopen-402 (0.7.7-0xenial) xenial; urgency=high

  * Added state_switch_timeout parameter to motor.
  * added types for all function objects
  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * migrate to new classloader headers
  * address catkin_lint errors/warnings
  * Contributors: Alexander Gutenkunst, Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-lunar-canopen-402 (0.7.6-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-lunar-canopen-402 (0.7.5-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-lunar-canopen-402 (0.7.4-0xenial) xenial; urgency=high

  * use portable boost::math::isnan
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-canopen-402 (0.7.3-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-canopen-402 (0.7.2-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-lunar-canopen-402 (0.7.1-0xenial) xenial; urgency=high

  * do quickstop for halt only if operation is enabled
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-lunar-canopen-402 (0.7.0-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-lunar-canopen-402 (0.6.5-0xenial) xenial; urgency=high

  * stop on internal limit only if limit was not reached before
  * hardened code with the help of cppcheck
  * Do not send control if it was not changed
    Otherwise invalid state machine transitions might get commanded
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * update package URLs
  * added option to turn off mode monitor
  * reset Fault_Reset bit in output only
  * enforce rising edge on fault reset bit on init and recover
  * Revert "Enforce rising edge on fault reset bit on init and recover"
  * enforce rising edge on fault reset bit on init and recover
  * Merge pull request #117 <https://github.com/ipa-mdl/ros_canopen/issues/117> from ipa-mdl/condvars
    Reviewed condition variables
  * use boost::numeric_cast for limit checks since it handles 64bit values right
  * add clamping test
  * enforce target type limits
  * ModeTargetHelper is now template
  * readability fix
  * simplified State402::waitForNewState and Motor402::switchState
  * Set Halt bit unless current mode releases it
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-lunar-canopen-402 (0.6.4-0xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-lunar-canopen-402 (0.6.3-0xenial) xenial; urgency=high

  * improved PP mode
  * do not quickstop in fault states
  * do not diable selected mode on recover, just restart it
  * initialize to No_Mode
  * removed some empty lines
  * implemented support for mode switching in a certain 402 state, defaults to Operation_Enable
  * pass LayerStatus to switchMode
  * remove enableMotor, introduced switchState
  * added motor_layer settings
  * fixed PP mode
  * explicit find for class_loader
  * fail-safe setting of op_mode to No_Mode
  * Improved behaviour of concurrent commands
  * added alternative Transitions 7 and 10 via Quickstop
  * added alternative success condition to waitForNewState
  * make motor init/recover interruptable
  * changed maintainer
  * removed SM-based 402 implementation
  * added Motor402 plugin
  * added new 402 implementation
  * added MotorBase
  * Added validity checks
  * Removed overloaded functions and makes the handle functions protected
  * Removes test executable
  * Removes unnecessary configure_drive and clears the set Targets
  * Some position fixes
  * Removed timeout
    Reduced recover trials
  * Removes some logs
  * Homing integrated
  * handleRead, handleWrite fixes
  * Merge remote-tracking branch 'mdl/indigo_dev' into refactor_sm
    Conflicts:
    canopen_402/include/canopen_402/canopen_402.h
    canopen_402/src/canopen_402/canopen_402.cpp
    canopen_motor_node/src/control_node.cpp
  * Moved supported_drive_modes to ModeSpecificEntries
  * 
    
      * Init, Recover, Halt for SCHUNK
      * Removed sleeps from the state machine
      * Now works as reentrant states
    
  * refactored Layer mechanisms
  * Recover failure
  * Merge remote-tracking branch 'mdl/indigo_dev' into refactor_sm
    Conflicts:
    canopen_402/include/canopen_402/canopen_402.h
    canopen_402/src/canopen_402/canopen_402.cpp
  * Removing some unnecessary couts
  * First version with Recover
    * Tested on SCHUNK LWA4D
  * Initializing all modules at once
  * Moving SCHUNK using the IP mode sub-state machine
  * Schunk does not set operation mode via synchronized RPDO
  * initialize homing_needed to false
  * Working with the guard handling and some scoped_locks to prevent unwanted access
  * Passing ``state_`` to motor machine

