=== debian/control ===
Source: ros-lunar-canopen-402
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-canopen-master, ros-lunar-catkin, ros-lunar-class-loader, ros-lunar-rosunit
Homepage: http://wiki.ros.org/canopen_402
Standards-Version: 3.9.2

Package: ros-lunar-canopen-402
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-canopen-master, ros-lunar-class-loader
Description: This implements the CANopen device profile for drives and motion control.
 CiA(r) 402
